package com.ipsplm.entity.simulation;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
/**
 * <p>
 * 中一线缓存数量表
 * </p>
 *
 * @author lulicheng
 * @since 2024-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("buffernum_zy")
public class BufferNumZy implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 标志位
     */
    private Long flag;

    /**
     * 中一线流水线缓存区1
     */
    private String zyBuffer1L;

    /**
     * 中一线流水线缓存区2
     */
    private String zyBuffer2L;

    /**
     * 中一弯管机1前序缓存区
     */
    private String zyWgj1Q;

    /**
     * 中一弯管机1后序缓存区
     */
    private String zyWgj1H;

    /**
     * 中一弯管机2前序缓存区
     */
    private String zyWgj2Q;

    /**
     * 中一弯管机2后序缓存区
     */
    private String zyWgj2H;

    /**
     * 中一支管切断前序缓存区
     */
    private String zyZgqdQ;

    /**
     * 中一支管切断后序缓存区
     */
    private String zyZgqdH;

    /**
     * 中一小组立前序缓存区
     */
    private String zyXzlQ;

    /**
     * 中一小组立后序缓存区
     */
    private String zyXzlH;

    /**
     * 中一弯头焊接机前序缓存区
     */
    private String zyWthjjQ;

    /**
     * 中一弯头焊接机后序缓存区
     */
    private String zyWthhjH;

    /**
     * 中一装配平台1前序缓存区
     */
    private String zyZppt1Q;

    /**
     * 中一装配平台1后序缓存区
     */
    private String zyZppt1H;

    /**
     * 中一装配平台2前序缓存区
     */
    private String zyZppt2Q;

    /**
     * 中一装配平台2后序缓存区
     */
    private String zyZppt2H;

    /**
     * 中一装配平台3前序缓存区
     */
    private String zyZppt3Q;

    /**
     * 中一装配平台3后序缓存区
     */
    private String zyZppt3H;

    /**
     * 中一装配平台4前序缓存区
     */
    private String zyZppt4Q;

    /**
     * 中一装配平台4后序缓存区
     */
    private String zyZppt4H;

    /**
     * 中一装配平台5前序缓存区
     */
    private String zyZppt5Q;

    /**
     * 中一装配平台5后序缓存区
     */
    private String zyZppt5H;

    /**
     * 中一焊接工位1前序缓存区
     */
    private String zyHjgw1Q;

    /**
     * 中一焊接工位1后序缓存区
     */
    private String zyHjgw1H;

    /**
     * 中一焊接工位2前序缓存区
     */
    private String zyHjgw2Q;

    /**
     * 中一焊接工位2后序缓存区
     */
    private String zyHjgw2H;

    /**
     * 中一焊接工位3前序缓存区
     */
    private String zyHjgw3Q;

    /**
     * 中一焊接工位3后序缓存区
     */
    private String zyHjgw3H;

    /**
     * 中一焊接工位4前序缓存区
     */
    private String zyHjgw4Q;

    /**
     * 中一焊接工位4后序缓存区
     */
    private String zyHjgw4H;

    /**
     * 中一焊接工位5前序缓存区
     */
    private String zyHjgw5Q;

    /**
     * 中一焊接工位5后序缓存区
     */
    private String zyHjgw5H;

    /**
     * 中一焊接工位6前序缓存区
     */
    private String zyHjgw6Q;

    /**
     * 中一焊接工位6后序缓存区
     */
    private String zyHjgw6H;

    /**
     * 中一焊接工位7前序缓存区
     */
    private String zyHjgw7Q;

    /**
     * 中一焊接工位7后序缓存区
     */
    private String zyHjgw7H;

    /**
     * 中一一次完检前序缓存区
     */
    private String zyYcwjQ;

    /**
     * 中一一次完检后序缓存区
     */
    private String zyYcwjH;

    /**
     * 中一水试前序缓存区
     */
    private String zySsQ;

    /**
     * 探伤前序缓存区
     */
    private String tsQ;

    /**
     * 探伤后序缓存区
     */
    private String tsH;

}
